# svelte-page-progress

> Svelte Component that tracks a users progress through a page as they scroll

[![NPM](https://img.shields.io/npm/v/svelte-page-progress.svg)](https://www.npmjs.com/package/svelte-page-progress) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)


**Watch Demo [Here](https://svelte.dev/repl/e9e33bd005874264917a14c3c252124c?version=3.22.3)**

## Install

```bash
npm install svelte-page-progress
```

OR

```bash
yarn add svelte-page-progress
```

## Usage

```svelte
<script>
  import PageProgress from "svelte-page-progress"
</script>

<PageProgress color="red" heigh="1vh" />
```

## Props

| Props  |  Type  | Default | Value                                                                                                                                            |
| :----- | :----: | :--------: | :------------------------------------------------------------------------------------------------------------------------------------------------- |
| color  | string |     `SkyBlue`     | valid [CSS background property](https://developer.mozilla.org/en-US/docs/Web/CSS/background) value |
| height | string |     `4px`     | valid [CSS height property](https://developer.mozilla.org/en-US/docs/Web/CSS/height) value                                                                                                               |

## License

MIT © [NomanGul](https://github.com/NomanGul)

## Feedback 
Any questions or suggestions?

You are welcome to discuss it on:

[![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/NomanGulKhan)

<br/>
<br/>
